PPM2TIFF(1)

NAME
ppm2tiff - create a TIFF file from a PPM image file

SYNOPSIS
ppm2tiff [ options ] [ input.ppm ] output.tif

DESCRIPTION
ppm2tiff converts a file in the PPM image format to TIFF. By default, the TIFF image is created with data samples packed (PlanarConfiguration=1), compressed with the Lempel-Ziv & Welch algorithm (Compression=5), and with each strip no more than 8 kilobytes. These characteristics can be overriden, or explicitly specified with the options described below

If the PPM file contains greyscale data, then the PhotometricInterpretation tag is set to 1 (min-is-black), otherwise it is set to 2 (RGB).

If no PPM file is specified on the command line, ppm2tiff will read from the standard input.

OPTIONS

-c  Specify a compression scheme to use when writing image data: -c none for no compression, -c packbits for the PackBits compression algorithm, -c jpeg for the baseline JPEG compression algorithm, -c zip for the Deflate compression algorithm, and -c lzw for Lempel-Ziv & Welch compression (the default).

-r  Write data with a specified number of rows per strip; by default the number of rows/strip is selected so that each strip is approximately 8 kilobytes.

-R  Mark the resultant image to have the specified X and Y resolution (in dots/inch).

SEE ALSO
tiffinfo(1), tiffcp(1), tiffmedian(1), libtiff(3)